{% extends "index_app/base_page.html" %}
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Edit Target | Malware Research Control Platform</title>
</head>
<!--{% block breadcrumb %}-->
    <!--<h1>PCP Dashboard<small> Edit Target</small></h1>-->
<!--{% endblock %}-->
{% block content %}
    <div class="row">
        <div class="col-md-6">
            <!--Capability Form-->
          {% if edit_target_dict %}
            {% for items in edit_target_dict %}
            <div class="box box-info">
                <!-- box-header -->
                <div class="box-header with-border">
                    <h3 class="box-title">Edit Target Form</h3>
                    <a href="/delete_target_row/{{ items.id }}/" class="btn btn-danger pull-right" data-toggle="tooltip" title="Delete Target">
                        <i class="fa fa-trash"></i>
                    </a>
                </div>
                <!-- /.box-header -->
                <!-- box-body -->
                <form class="form-horizontal" action="/action/val_edit_target_form/{{ items.id }}/" method="post">{% csrf_token %}
                    <div class="box-body">

                        <!--Plugin Name-->
                        <div class="form-group">
                            <label for="plugin_name" class="col-sm-12 content-header">Plugin Name</label>
                            {% if plugin_list %}
                            <div class="col-sm-10">
                                <select class="form-control plugin_name" id="plugin_name" name="plugin_name">
                                    {% for plugin_item in plugin_list %}
                                        {% if plugin_item.ServiceID == "" %}
                                            {% if plugin_item.Name == items.PluginName %}
                                                <option id="{{ forloop.counter }}" value="{{ plugin_item.Name }}" selected>
                                                    {{ plugin_item.Name}}
                                                    {{ plugin_item.OS}}
                                                </option>
                                            {% else %}
                                                <option id="{{ forloop.counter }}" value="{{ plugin_item.Name }}">
                                                    {{ plugin_item.Name}}
                                                    {{ plugin_item.OS}}
                                                </option>
                                            {% endif %}
                                        {% endif %}
                                    {% endfor %}
                                </select>
                            </div>
                            {% endif %}
                        </div>

                        <!--Location Number-->
                        <div class="form-group">
                            <label for="location_num" class="col-sm-3">Location</label>
                            <div class="col-sm-10">
                                <input class="form-control" id="location_num" name="location_num" value="{{ items.Location }}">
                            </div>
                        </div>

                        <!--Port Number-->
                        <div class="form-group">
                            <label for="port_num" class="col-sm-3">Port Number</label>
                            <div class="col-sm-10">
                                <input class="form-control" id="port_num" name="port_num" placeholder="Port Number Here" readonly="readonly" value="{{ items.Port }}">
                            </div>
                        </div>

                        <!--Optional Field-->
                        <div class="form-group">
                            <label for="optional_char" class="col-sm-12 content-header">Optional</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" id="optional_char" name="optional_char" maxlength="200" value="{{ items.Optional.init }}">
                            </div>
                        </div>

                    </div>
                    <!-- /.box-body -->
                    <!-- box-footer -->
                    <div class="box-footer">
                        <a href="/" class="btn btn-default">Cancel</a>
                        <button onclick="this.disabled=true, this.form.submit()" type="submit" value="Submit" class="btn btn-info pull-right">Submit</button>
                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
            {% endfor %}
          {% endif %}
        </div>
    </div>
{% endblock %}